Bug 1430374 - Can't add nonpersistant disk to a powered on vm
Summary: Can't add nonpersistant disk to a powered on vm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Adam Grare
QA Contact: luke couzens
URL:
Whiteboard: reconfigure
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-08 13:24 UTC by luke couzens
Modified: 2017-05-31 14:41 UTC (History)
11 users (show)

Fixed In Version: 5.8.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:41:14 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description luke couzens 2017-03-08 13:24:02 UTC
Description of problem:Can't add nonpersistant disk to a powered on vm


Version-Release number of selected component (if applicable):5.8.0.4


How reproducible:100%


Steps to Reproduce:
1.login to appliance
2.add vsphere provider
3.provision vm
4.reconfigure powered on vm adding nonpersistant disk

Actual results:different error each time as follows

Error: Failed to add disk scsi0:1. or Error: waitForTask: task not found task-947413 


Expected results:Disk added


Additional info:

Comment 2 Greg McCullough 2017-03-09 15:42:27 UTC
Adam - Any insight into this issue?  Could it be a configuration that is not allowing hot-add of disks to this VM?

Comment 3 Adam Grare 2017-03-09 16:26:30 UTC
I doubt the non-persistent option is causing this but I've been surprised before.

Luke were you able to add dependent disks to the VM but not independent-nonpersistent ones?  Are you able to successfully do this through the VC client but not through cfme?

Comment 4 luke couzens 2017-03-09 22:36:37 UTC
Hi Adam, 

so I think I figured this one out, I was adding a nonpersistent dependent disk which is not possible in vsphere, perhaps this option should be changed in cfme to match?

If nonpersistent is chosen perhaps we could set dependent to 'NO' + grey out the option?

Comment 5 luke couzens 2017-03-10 09:32:47 UTC
I have since taken another look at this and found it's possible to add a nonpersistent dependent disk to a powered of vm through cfme. 

The disk mode shows as blank in vsphere but in cfme we see it as 'nonpersistent', so its only powered on vms that I can't seem to add nonpersistent dependent disks.

Comment 6 Adam Grare 2017-03-10 19:02:04 UTC
So I was able to add a non-persistent disk through CFME when the VM was powered off but VMware was really not happy about it.  I couldn't power-on the VM and I couldn't delete the disk without first setting a different disk mode.

The only supported disk modes for the VirtualDiskFlatVer2BackingInfo backing type are: Dependent, Independent-Persistent, or Independent-Nonpersistent

The other types are listed here https://www.vmware.com/support/developer/vc-sdk/visdk400pubs/ReferenceGuide/vim.vm.device.VirtualDiskOption.DiskMode.html but I suspect the rest are used for implementing snapshot sparse/delta disk files.

I'll take this ticket to implement some validation in the vmware provider code but we should also change the UI to show a dropdown where the user can select from Dependent, Independent-Persistent, or Independent-Nonpersistent just like the VC client has.

Thanks Luke great find!

Comment 8 luke couzens 2017-03-22 12:04:16 UTC
Verified in 5.8.0.7

Comment 10 errata-xmlrpc 2017-05-31 14:41:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.